Bug 27146 - JSDebugger crashes after reloading from a breakpoint
Summary: JSDebugger crashes after reloading from a breakpoint
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Oliver Hunt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-10 01:59 PDT by Oliver Hunt
Modified: 2009-10-19 20:00 PDT (History)
2 users (show)

See Also:


Attachments
harden the debugger (3.38 KB, patch)
2009-07-10 02:08 PDT, Oliver Hunt
timothy: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Hunt 2009-07-10 01:59:38 PDT
In certain scenarios it is possible to end up with a dead callframe in the inspector, this leads to a crash in the debugger.
Comment 1 Oliver Hunt 2009-07-10 02:08:03 PDT
Created attachment 32552 [details]
harden the debugger
Comment 2 Oliver Hunt 2009-07-10 02:36:26 PDT
Comment on attachment 32552 [details]
harden the debugger

despite fixing the crash weirdness happens in the debugger afterwards
Comment 3 WebKit Commit Bot 2009-09-11 21:56:41 PDT
Comment on attachment 32552 [details]
harden the debugger

Rejecting patch 32552 from commit-queue.

This patch will require manual commit. Patch https://bugs.webkit.org/attachment.cgi?id=32552 from bug 27146 failed to download and apply.
Comment 4 Eric Seidel (no email) 2009-09-14 09:51:44 PDT
patching file WebCore/inspector/InspectorController.cpp
Hunk #1 FAILED at 535.
1 out of 1 hunk FAILED -- saving rejects to file WebCore/inspector/InspectorController.cpp.rej
Comment 5 Eric Seidel (no email) 2009-09-18 12:01:19 PDT
A quick git log search looks like this hasn't been landed yet.
Comment 6 Eric Seidel (no email) 2009-10-05 10:52:49 PDT
Ping?
Comment 7 Eric Seidel (no email) 2009-10-19 15:13:27 PDT
This patch has been chillin-like-a-villin in the to-be-committed list for over a month now.  Is the patch still wanted?
Comment 8 Timothy Hatcher 2009-10-19 20:00:05 PDT
This was actually fixed by: http://trac.webkit.org/changeset/45733

I don't think this full patch is needed, but I landed the parts that are still relevant.

Landed the relevant parts in r49832.